package com.alibaba.druid.sql.dialect.es.ast;

import org.antlr.v4.runtime.tree.ParseTreeVisitor;

public interface EsParserVisitor<T> extends ParseTreeVisitor<T> {
   T visitStatement(EsParser.StatementContext var1);

   T visitOtherStatement(EsParser.OtherStatementContext var1);

   T visitCreateIndexStatement(EsParser.CreateIndexStatementContext var1);

   T visitCreateIndexStatementBody(EsParser.CreateIndexStatementBodyContext var1);

   T visitCreateIndexStatementAliases(EsParser.CreateIndexStatementAliasesContext var1);

   T visitCreateIndexStatementSettings(EsParser.CreateIndexStatementSettingsContext var1);

   T visitCreateIndexStatementMeta(EsParser.CreateIndexStatementMetaContext var1);

   T visitCreateIndexStatementMappings(EsParser.CreateIndexStatementMappingsContext var1);

   T visitCreateIndexStatementMappingsType(EsParser.CreateIndexStatementMappingsTypeContext var1);

   T visitUpdateIndexStatement(EsParser.UpdateIndexStatementContext var1);

   T visitUpdateMappingStatementBody(EsParser.UpdateMappingStatementBodyContext var1);

   T visitDeleteIndexStatement(EsParser.DeleteIndexStatementContext var1);

   T visitCloseIndexStatement(EsParser.CloseIndexStatementContext var1);

   T visitOpenIndexStatement(EsParser.OpenIndexStatementContext var1);

   T visitShrinkIndexStatement(EsParser.ShrinkIndexStatementContext var1);

   T visitCloneIndexStatement(EsParser.CloneIndexStatementContext var1);

   T visitRolloverIndexStatement(EsParser.RolloverIndexStatementContext var1);

   T visitUnfreezeIndexStatement(EsParser.UnfreezeIndexStatementContext var1);

   T visitFreezeIndexStatement(EsParser.FreezeIndexStatementContext var1);

   T visitResloveIndexStatement(EsParser.ResloveIndexStatementContext var1);

   T visitQueryDataRenderStatement(EsParser.QueryDataRenderStatementContext var1);

   T visitQueryDataSearchShardsStatement(EsParser.QueryDataSearchShardsStatementContext var1);

   T visitDdlMappingProperties(EsParser.DdlMappingPropertiesContext var1);

   T visitDdlMappingPropertiesDynamic(EsParser.DdlMappingPropertiesDynamicContext var1);

   T visitDdlMappingPropertiesDynamicTemplates(EsParser.DdlMappingPropertiesDynamicTemplatesContext var1);

   T visitDdlMappingPropertiesAll(EsParser.DdlMappingPropertiesAllContext var1);

   T visitDdlMappingPropertiesDefine(EsParser.DdlMappingPropertiesDefineContext var1);

   T visitDdlFieldDecl(EsParser.DdlFieldDeclContext var1);

   T visitDdlField(EsParser.DdlFieldContext var1);

   T visitDdlFieldType(EsParser.DdlFieldTypeContext var1);

   T visitQuerySchemaStatement(EsParser.QuerySchemaStatementContext var1);

   T visitQuerySchemaStatementALL(EsParser.QuerySchemaStatementALLContext var1);

   T visitQuerySchemaStatementIndex(EsParser.QuerySchemaStatementIndexContext var1);

   T visitBulkStatement(EsParser.BulkStatementContext var1);

   T visitBulkStatementBody(EsParser.BulkStatementBodyContext var1);

   T visitBulkStatementCreate(EsParser.BulkStatementCreateContext var1);

   T visitBulkStatementDelete(EsParser.BulkStatementDeleteContext var1);

   T visitBulkStatementIndex(EsParser.BulkStatementIndexContext var1);

   T visitBulkStatementUpdate(EsParser.BulkStatementUpdateContext var1);

   T visitBulkStatementDoc(EsParser.BulkStatementDocContext var1);

   T visitBulkStatementDocItemSource(EsParser.BulkStatementDocItemSourceContext var1);

   T visitBulkStatementDocItem(EsParser.BulkStatementDocItemContext var1);

   T visitBulkStatementDocItemField(EsParser.BulkStatementDocItemFieldContext var1);

   T visitBulkStatementFields(EsParser.BulkStatementFieldsContext var1);

   T visitBulkStatementScript(EsParser.BulkStatementScriptContext var1);

   T visitBulkStatementIndexPart(EsParser.BulkStatementIndexPartContext var1);

   T visitBulkStatementIdPart(EsParser.BulkStatementIdPartContext var1);

   T visitQueryDataStatement(EsParser.QueryDataStatementContext var1);

   T visitQueryDataStatementById(EsParser.QueryDataStatementByIdContext var1);

   T visitQueryDataStatementMGET(EsParser.QueryDataStatementMGETContext var1);

   T visitQueryDataStatementMGETBody(EsParser.QueryDataStatementMGETBodyContext var1);

   T visitQueryDataStatementMGETDocs(EsParser.QueryDataStatementMGETDocsContext var1);

   T visitQueryDataStatementMGETDoc(EsParser.QueryDataStatementMGETDocContext var1);

   T visitQueryDataStatementMGETDocId(EsParser.QueryDataStatementMGETDocIdContext var1);

   T visitQueryDataStatementMGETDocIndex(EsParser.QueryDataStatementMGETDocIndexContext var1);

   T visitQueryDataStatementMGETDocType(EsParser.QueryDataStatementMGETDocTypeContext var1);

   T visitQueryDataStatementMGETDocSource(EsParser.QueryDataStatementMGETDocSourceContext var1);

   T visitQueryDataStatementMGETDocSourceBoolean(EsParser.QueryDataStatementMGETDocSourceBooleanContext var1);

   T visitQueryDataStatementMGETDocSourceArr(EsParser.QueryDataStatementMGETDocSourceArrContext var1);

   T visitQueryDataStatementMGETDocSourceObj(EsParser.QueryDataStatementMGETDocSourceObjContext var1);

   T visitQueryDataStatementMGETDocIncldue(EsParser.QueryDataStatementMGETDocIncldueContext var1);

   T visitQueryDataStatementMGETDocExclude(EsParser.QueryDataStatementMGETDocExcludeContext var1);

   T visitQueryDataStatementMGETStoredFields(EsParser.QueryDataStatementMGETStoredFieldsContext var1);

   T visitQueryDataStatementMGETIds(EsParser.QueryDataStatementMGETIdsContext var1);

   T visitQueryDataStatementMSearch(EsParser.QueryDataStatementMSearchContext var1);

   T visitQueryDataStatementMSearchBody(EsParser.QueryDataStatementMSearchBodyContext var1);

   T visitQueryDataStatementMSearchEmpty(EsParser.QueryDataStatementMSearchEmptyContext var1);

   T visitQueryDataStatementCount(EsParser.QueryDataStatementCountContext var1);

   T visitQueryDataStatementCountBody(EsParser.QueryDataStatementCountBodyContext var1);

   T visitQueryDataStatementTermsEnum(EsParser.QueryDataStatementTermsEnumContext var1);

   T visitQueryDataStatementTermsEnumBody(EsParser.QueryDataStatementTermsEnumBodyContext var1);

   T visitQueryDataStatementTermsEnumField(EsParser.QueryDataStatementTermsEnumFieldContext var1);

   T visitQueryDataStatementTermsEnumValue(EsParser.QueryDataStatementTermsEnumValueContext var1);

   T visitQueryDataStatementExplain(EsParser.QueryDataStatementExplainContext var1);

   T visitQueryDataStatementExplainBody(EsParser.QueryDataStatementExplainBodyContext var1);

   T visitQueryDataStatementFieldCaps(EsParser.QueryDataStatementFieldCapsContext var1);

   T visitQueryDataStatementFieldCapsBody(EsParser.QueryDataStatementFieldCapsBodyContext var1);

   T visitQueryDataStatementFieldCapsBodyIndexFiter(EsParser.QueryDataStatementFieldCapsBodyIndexFiterContext var1);

   T visitQueryDataStatementRankEval(EsParser.QueryDataStatementRankEvalContext var1);

   T visitQueryDataStatementRankEvalBody(EsParser.QueryDataStatementRankEvalBodyContext var1);

   T visitQueryDataStatementRankEvalRequests(EsParser.QueryDataStatementRankEvalRequestsContext var1);

   T visitQueryDataStatementRankEvalRequestBody(EsParser.QueryDataStatementRankEvalRequestBodyContext var1);

   T visitQueryDataStatementRankEvalRequest(EsParser.QueryDataStatementRankEvalRequestContext var1);

   T visitQueryDataStatementRankEvalRatings(EsParser.QueryDataStatementRankEvalRatingsContext var1);

   T visitQueryDataStatementRankEvalRating(EsParser.QueryDataStatementRankEvalRatingContext var1);

   T visitQueryDataStatementRankEvalRatingIndex(EsParser.QueryDataStatementRankEvalRatingIndexContext var1);

   T visitQueryDataStatementRankEvalRatingId(EsParser.QueryDataStatementRankEvalRatingIdContext var1);

   T visitQueryDataStatementSearch(EsParser.QueryDataStatementSearchContext var1);

   T visitQueryDataStatementSearchBody(EsParser.QueryDataStatementSearchBodyContext var1);

   T visitQueryDataStatementSearchBodyDocValueFields(EsParser.QueryDataStatementSearchBodyDocValueFieldsContext var1);

   T visitFieldExpr(EsParser.FieldExprContext var1);

   T visitField(EsParser.FieldContext var1);

   T visitFieldString(EsParser.FieldStringContext var1);

   T visitFieldObj(EsParser.FieldObjContext var1);

   T visitQueryDataStatementSearchBodyStoredFields(EsParser.QueryDataStatementSearchBodyStoredFieldsContext var1);

   T visitQueryDataStatementSearchBodyIndicesBoost(EsParser.QueryDataStatementSearchBodyIndicesBoostContext var1);

   T visitQueryDataStatementSearchBodyIndicesBoostItem(EsParser.QueryDataStatementSearchBodyIndicesBoostItemContext var1);

   T visitQueryDataStatementSearchBodyIndexTypes(EsParser.QueryDataStatementSearchBodyIndexTypesContext var1);

   T visitQueryDataStatementSearchBodyIndex(EsParser.QueryDataStatementSearchBodyIndexContext var1);

   T visitQueryDataStatementSearchBodyType(EsParser.QueryDataStatementSearchBodyTypeContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappings(EsParser.QueryDataStatementSearchBodyRuntimeMappingsContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappingObj(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExpr(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExprType(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprTypeContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExprScript(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprScriptContext var1);

   T visitQueryDataStatementSearchBodyRuntimeMappingsArr(EsParser.QueryDataStatementSearchBodyRuntimeMappingsArrContext var1);

   T visitRunTimeMappingFieldExprs(EsParser.RunTimeMappingFieldExprsContext var1);

   T visitRuntimeMappingField(EsParser.RuntimeMappingFieldContext var1);

   T visitQueryDataStatementSearchBodyQuery(EsParser.QueryDataStatementSearchBodyQueryContext var1);

   T visitQueryDataStatementSearchBodyFields(EsParser.QueryDataStatementSearchBodyFieldsContext var1);

   T visitQueryDataStatementSearchBodyAgg(EsParser.QueryDataStatementSearchBodyAggContext var1);

   T visitQueryDataStatementSearchBodyAggBody(EsParser.QueryDataStatementSearchBodyAggBodyContext var1);

   T visitQueryDataStatementSearchSort(EsParser.QueryDataStatementSearchSortContext var1);

   T visitSortField(EsParser.SortFieldContext var1);

   T visitQueryDataStatementSearchBodySource(EsParser.QueryDataStatementSearchBodySourceContext var1);

   T visitSourceFieldExpr(EsParser.SourceFieldExprContext var1);

   T visitSourceFieldBoolenExpr(EsParser.SourceFieldBoolenExprContext var1);

   T visitSourceFieldWildcardPatternExpr(EsParser.SourceFieldWildcardPatternExprContext var1);

   T visitSourceFieldObjectExpr(EsParser.SourceFieldObjectExprContext var1);

   T visitSourceFieldIncludeExpr(EsParser.SourceFieldIncludeExprContext var1);

   T visitSourceFieldExcludeExpr(EsParser.SourceFieldExcludeExprContext var1);

   T visitInsertDataStatement(EsParser.InsertDataStatementContext var1);

   T visitInsertDataStatementForm1(EsParser.InsertDataStatementForm1Context var1);

   T visitInsertDataStatementForm2(EsParser.InsertDataStatementForm2Context var1);

   T visitUpdateDataStatement(EsParser.UpdateDataStatementContext var1);

   T visitUpdateDataStatementById(EsParser.UpdateDataStatementByIdContext var1);

   T visitUpdateDataStatementPart1(EsParser.UpdateDataStatementPart1Context var1);

   T visitUpdateDataStatementPart2(EsParser.UpdateDataStatementPart2Context var1);

   T visitUpdateDataStatementByQuery(EsParser.UpdateDataStatementByQueryContext var1);

   T visitUpdateDataStatementByQueryBody(EsParser.UpdateDataStatementByQueryBodyContext var1);

   T visitDeleteDataStatement(EsParser.DeleteDataStatementContext var1);

   T visitDeleteDataByIdStatement(EsParser.DeleteDataByIdStatementContext var1);

   T visitDeleteDataByQueryStatement(EsParser.DeleteDataByQueryStatementContext var1);

   T visitCuDataStatementBody(EsParser.CuDataStatementBodyContext var1);

   T visitCuDataStatementValue(EsParser.CuDataStatementValueContext var1);

   T visitCuDataStatementObjValue(EsParser.CuDataStatementObjValueContext var1);

   T visitCuDataStatementArrayValue(EsParser.CuDataStatementArrayValueContext var1);

   T visitCuDataStatementObjValuePair(EsParser.CuDataStatementObjValuePairContext var1);

   T visitCuDataStatementFieldScript(EsParser.CuDataStatementFieldScriptContext var1);

   T visitQueryBody(EsParser.QueryBodyContext var1);

   T visitQueryFilter(EsParser.QueryFilterContext var1);

   T visitComboundFilter(EsParser.ComboundFilterContext var1);

   T visitNsetedFilter(EsParser.NsetedFilterContext var1);

   T visitNsetedFilterItem(EsParser.NsetedFilterItemContext var1);

   T visitNsetedFilterItemPath(EsParser.NsetedFilterItemPathContext var1);

   T visitBoostingFilter(EsParser.BoostingFilterContext var1);

   T visitBoostingFilterBody(EsParser.BoostingFilterBodyContext var1);

   T visitHasChildFilter(EsParser.HasChildFilterContext var1);

   T visitHasParentFilter(EsParser.HasParentFilterContext var1);

   T visitParentIdFilter(EsParser.ParentIdFilterContext var1);

   T visitBoolFilter(EsParser.BoolFilterContext var1);

   T visitMustFilter(EsParser.MustFilterContext var1);

   T visitMustFilterN(EsParser.MustFilterNContext var1);

   T visitMustFilter1(EsParser.MustFilter1Context var1);

   T visitFilterFilter(EsParser.FilterFilterContext var1);

   T visitFilterFilterN(EsParser.FilterFilterNContext var1);

   T visitFilterFilter1(EsParser.FilterFilter1Context var1);

   T visitShouldFilter(EsParser.ShouldFilterContext var1);

   T visitShouldFilterN(EsParser.ShouldFilterNContext var1);

   T visitShouldFilter1(EsParser.ShouldFilter1Context var1);

   T visitConstantScoreFilter(EsParser.ConstantScoreFilterContext var1);

   T visitDismaxFilter(EsParser.DismaxFilterContext var1);

   T visitDismaxFilterQueriesBody(EsParser.DismaxFilterQueriesBodyContext var1);

   T visitDismaxFilterQueriesBodyItems(EsParser.DismaxFilterQueriesBodyItemsContext var1);

   T visitFunctionScoreFilter(EsParser.FunctionScoreFilterContext var1);

   T visitLeafFilter(EsParser.LeafFilterContext var1);

   T visitLeafMatchAllFilter(EsParser.LeafMatchAllFilterContext var1);

   T visitLeafMatchNoneFilter(EsParser.LeafMatchNoneFilterContext var1);

   T visitLeafMatchFilter(EsParser.LeafMatchFilterContext var1);

   T visitIntervalFilter(EsParser.IntervalFilterContext var1);

   T visitIntervalFilterRuleAnyOf(EsParser.IntervalFilterRuleAnyOfContext var1);

   T visitIntervalFilterRuleAllOf(EsParser.IntervalFilterRuleAllOfContext var1);

   T visitIntervalFilterRuleMatch(EsParser.IntervalFilterRuleMatchContext var1);

   T visitIntervalFilterRuleMatchQuery(EsParser.IntervalFilterRuleMatchQueryContext var1);

   T visitIntervalFilterRuleMatchUseField(EsParser.IntervalFilterRuleMatchUseFieldContext var1);

   T visitIntervalFilterRulePrefix(EsParser.IntervalFilterRulePrefixContext var1);

   T visitIntervalFilterRulePrefixPrefix(EsParser.IntervalFilterRulePrefixPrefixContext var1);

   T visitIntervalFilterRuleWildcard(EsParser.IntervalFilterRuleWildcardContext var1);

   T visitIntervalFilterRuleWildcardPattern(EsParser.IntervalFilterRuleWildcardPatternContext var1);

   T visitIntervalFilterRuleFuzzy(EsParser.IntervalFilterRuleFuzzyContext var1);

   T visitIntervalFilterRuleFilter(EsParser.IntervalFilterRuleFilterContext var1);

   T visitIntervalFilterRuleInterval(EsParser.IntervalFilterRuleIntervalContext var1);

   T visitIntervalFilterItem(EsParser.IntervalFilterItemContext var1);

   T visitIntervalFilterIntervalItem(EsParser.IntervalFilterIntervalItemContext var1);

   T visitIntervalFilterIntervalRuleAnyOf(EsParser.IntervalFilterIntervalRuleAnyOfContext var1);

   T visitIntervalFilterIntervalRuleAllOf(EsParser.IntervalFilterIntervalRuleAllOfContext var1);

   T visitIntervalFilterIntervalRuleMatch(EsParser.IntervalFilterIntervalRuleMatchContext var1);

   T visitIntervalFilterIntervalRulePrefix(EsParser.IntervalFilterIntervalRulePrefixContext var1);

   T visitIntervalFilterIntervalRuleWildcard(EsParser.IntervalFilterIntervalRuleWildcardContext var1);

   T visitIntervalFilterIntervalRuleFuzzy(EsParser.IntervalFilterIntervalRuleFuzzyContext var1);

   T visitFilterMatch(EsParser.FilterMatchContext var1);

   T visitFilterMatchBoolPrefix(EsParser.FilterMatchBoolPrefixContext var1);

   T visitFilterMatchPhrase(EsParser.FilterMatchPhraseContext var1);

   T visitFilterMatchPhrasePrefix(EsParser.FilterMatchPhrasePrefixContext var1);

   T visitFilterCombinedFields(EsParser.FilterCombinedFieldsContext var1);

   T visitFilterMultiMatch(EsParser.FilterMultiMatchContext var1);

   T visitFilterCommon(EsParser.FilterCommonContext var1);

   T visitFilterQueryString(EsParser.FilterQueryStringContext var1);

   T visitFilterSimpleQueryString(EsParser.FilterSimpleQueryStringContext var1);

   T visitLeafTermFilter(EsParser.LeafTermFilterContext var1);

   T visitFilterExists(EsParser.FilterExistsContext var1);

   T visitFilterFuzzy(EsParser.FilterFuzzyContext var1);

   T visitFieldFuzzyExactFilter(EsParser.FieldFuzzyExactFilterContext var1);

   T visitFilterTermFilter(EsParser.FilterTermFilterContext var1);

   T visitFilterIds(EsParser.FilterIdsContext var1);

   T visitFilterPrefix(EsParser.FilterPrefixContext var1);

   T visitRangeFilter(EsParser.RangeFilterContext var1);

   T visitRangeFilterGT(EsParser.RangeFilterGTContext var1);

   T visitRangeFilterLT(EsParser.RangeFilterLTContext var1);

   T visitRegexpFilter(EsParser.RegexpFilterContext var1);

   T visitTermsFilter(EsParser.TermsFilterContext var1);

   T visitTermsFilterField1(EsParser.TermsFilterField1Context var1);

   T visitTermsFilterFieldN(EsParser.TermsFilterFieldNContext var1);

   T visitTermsFilterFieldNItem(EsParser.TermsFilterFieldNItemContext var1);

   T visitTermsFilterField(EsParser.TermsFilterFieldContext var1);

   T visitTermsFilterFieldItem1(EsParser.TermsFilterFieldItem1Context var1);

   T visitTermsFilterFieldItem(EsParser.TermsFilterFieldItemContext var1);

   T visitTermsFilterFieldValueString(EsParser.TermsFilterFieldValueStringContext var1);

   T visitTermsFilterFieldValueArray(EsParser.TermsFilterFieldValueArrayContext var1);

   T visitTermsFilterFieldValueLookup(EsParser.TermsFilterFieldValueLookupContext var1);

   T visitTermsFilterFieldNameArray(EsParser.TermsFilterFieldNameArrayContext var1);

   T visitIndexExpr(EsParser.IndexExprContext var1);

   T visitPathExpr(EsParser.PathExprContext var1);

   T visitIdExpr(EsParser.IdExprContext var1);

   T visitTermsetFilter(EsParser.TermsetFilterContext var1);

   T visitTermsetFilterItem(EsParser.TermsetFilterItemContext var1);

   T visitTermsetFilterTerms(EsParser.TermsetFilterTermsContext var1);

   T visitTermTypeFilter(EsParser.TermTypeFilterContext var1);

   T visitWildcardFilter(EsParser.WildcardFilterContext var1);

   T visitLeafGeoFilter(EsParser.LeafGeoFilterContext var1);

   T visitGeoBoundingBoxFilter(EsParser.GeoBoundingBoxFilterContext var1);

   T visitGeoBoundingBoxFilterField(EsParser.GeoBoundingBoxFilterFieldContext var1);

   T visitGeoDistanceFilter(EsParser.GeoDistanceFilterContext var1);

   T visitGeoDistanceFilterField(EsParser.GeoDistanceFilterFieldContext var1);

   T visitGeoPolygonFilter(EsParser.GeoPolygonFilterContext var1);

   T visitGeoPolygonFilterField(EsParser.GeoPolygonFilterFieldContext var1);

   T visitGeoShapeFilter(EsParser.GeoShapeFilterContext var1);

   T visitGeoShapeFilterField(EsParser.GeoShapeFilterFieldContext var1);

   T visitLeafShapeFilter(EsParser.LeafShapeFilterContext var1);

   T visitShapeFilter(EsParser.ShapeFilterContext var1);

   T visitSpanQuery(EsParser.SpanQueryContext var1);

   T visitSpanFilter(EsParser.SpanFilterContext var1);

   T visitSpanNearFilter(EsParser.SpanNearFilterContext var1);

   T visitSpanNearFilterClausesPart(EsParser.SpanNearFilterClausesPartContext var1);

   T visitSpanNearFilterClausesPartItem(EsParser.SpanNearFilterClausesPartItemContext var1);

   T visitSpanNotFilter(EsParser.SpanNotFilterContext var1);

   T visitSpanNotFilterIncludePart(EsParser.SpanNotFilterIncludePartContext var1);

   T visitSpanNotFilterExcludePart(EsParser.SpanNotFilterExcludePartContext var1);

   T visitSpanOrFilter(EsParser.SpanOrFilterContext var1);

   T visitSpanOrFilterClausesPart(EsParser.SpanOrFilterClausesPartContext var1);

   T visitSpanTermFilter(EsParser.SpanTermFilterContext var1);

   T visitSpanWithinFilter(EsParser.SpanWithinFilterContext var1);

   T visitSpanWithinFilterPart(EsParser.SpanWithinFilterPartContext var1);

   T visitSpanContainingFilter(EsParser.SpanContainingFilterContext var1);

   T visitSpanContainingFilterPart(EsParser.SpanContainingFilterPartContext var1);

   T visitSpanFiledMaskingFilter(EsParser.SpanFiledMaskingFilterContext var1);

   T visitSpanFirstFilter(EsParser.SpanFirstFilterContext var1);

   T visitSpanFirstFilterPart(EsParser.SpanFirstFilterPartContext var1);

   T visitSpanMultiFilter(EsParser.SpanMultiFilterContext var1);

   T visitSpanMultiFilterPart(EsParser.SpanMultiFilterPartContext var1);

   T visitLeafOtherFilter(EsParser.LeafOtherFilterContext var1);

   T visitDistanceFeatureFilter(EsParser.DistanceFeatureFilterContext var1);

   T visitMoreLikeThisFilter(EsParser.MoreLikeThisFilterContext var1);

   T visitPercolateFilter(EsParser.PercolateFilterContext var1);

   T visitRankFeatureFilter(EsParser.RankFeatureFilterContext var1);

   T visitScriptFilter(EsParser.ScriptFilterContext var1);

   T visitScriptFilterScriptSimple(EsParser.ScriptFilterScriptSimpleContext var1);

   T visitScriptFilterSourceValue(EsParser.ScriptFilterSourceValueContext var1);

   T visitScriptScoreFilter(EsParser.ScriptScoreFilterContext var1);

   T visitPinnedFilter(EsParser.PinnedFilterContext var1);

   T visitPinnedFilterOrganic(EsParser.PinnedFilterOrganicContext var1);

   T visitPinnedFilterDocs(EsParser.PinnedFilterDocsContext var1);

   T visitPinnedFilterDocsItem(EsParser.PinnedFilterDocsItemContext var1);

   T visitPinnedFilterIds(EsParser.PinnedFilterIdsContext var1);

   T visitAggs(EsParser.AggsContext var1);

   T visitBucketAggs(EsParser.BucketAggsContext var1);

   T visitReindexStatement(EsParser.ReindexStatementContext var1);

   T visitReindexStatementBody(EsParser.ReindexStatementBodyContext var1);

   T visitReindexStatementSection(EsParser.ReindexStatementSectionContext var1);

   T visitReindexStatementSectionIndex(EsParser.ReindexStatementSectionIndexContext var1);

   T visitTermvectorsStatement(EsParser.TermvectorsStatementContext var1);

   T visitTermvectorsStaticStatement(EsParser.TermvectorsStaticStatementContext var1);

   T visitTermvectorsDynamicStatement(EsParser.TermvectorsDynamicStatementContext var1);

   T visitTermvectorsStatementBody(EsParser.TermvectorsStatementBodyContext var1);

   T visitTermvectorsStatementBodyFields(EsParser.TermvectorsStatementBodyFieldsContext var1);

   T visitMtermvecotrsStatement(EsParser.MtermvecotrsStatementContext var1);

   T visitMtermvectorsStatementBody(EsParser.MtermvectorsStatementBodyContext var1);

   T visitMtermvectorsStatementBodyItem(EsParser.MtermvectorsStatementBodyItemContext var1);

   T visitMtermvectorsStatementBodyFields(EsParser.MtermvectorsStatementBodyFieldsContext var1);

   T visitMtermvectorsStatementBodyIndex(EsParser.MtermvectorsStatementBodyIndexContext var1);

   T visitMtermvectorsStatementBodyId(EsParser.MtermvectorsStatementBodyIdContext var1);

   T visitMtermvectorsStatementBody1(EsParser.MtermvectorsStatementBody1Context var1);

   T visitMtermvectorsStatementBody1Item(EsParser.MtermvectorsStatementBody1ItemContext var1);

   T visitMtermvectorsStatementBody1Ids(EsParser.MtermvectorsStatementBody1IdsContext var1);

   T visitMtermvectorsStatementBody1Fields(EsParser.MtermvectorsStatementBody1FieldsContext var1);

   T visitCreateEnrichStatement(EsParser.CreateEnrichStatementContext var1);

   T visitCreateEnrichStatementBody(EsParser.CreateEnrichStatementBodyContext var1);

   T visitCreateEnrichStatementPolicyTypeIndices(EsParser.CreateEnrichStatementPolicyTypeIndicesContext var1);

   T visitCreateEnrichStatementPolicyTypeMatchField(EsParser.CreateEnrichStatementPolicyTypeMatchFieldContext var1);

   T visitCreateEnrichStatementPolicyTypeEnrichFields(EsParser.CreateEnrichStatementPolicyTypeEnrichFieldsContext var1);

   T visitDeleteEnrichStatement(EsParser.DeleteEnrichStatementContext var1);

   T visitGetEnrichStatement(EsParser.GetEnrichStatementContext var1);

   T visitExecuteEnrichStatement(EsParser.ExecuteEnrichStatementContext var1);

   T visitStatsEnrichStatement(EsParser.StatsEnrichStatementContext var1);

   T visitAutoScalingCreateOrUpdateStatement(EsParser.AutoScalingCreateOrUpdateStatementContext var1);

   T visitAutoScalingGetStatement(EsParser.AutoScalingGetStatementContext var1);

   T visitAutoScalingGetPolicyStatement(EsParser.AutoScalingGetPolicyStatementContext var1);

   T visitAutoScalingDeleteStatement(EsParser.AutoScalingDeleteStatementContext var1);

   T visitCatStatement(EsParser.CatStatementContext var1);

   T visitClusterStatement(EsParser.ClusterStatementContext var1);

   T visitClusterClusterReplicationStatement(EsParser.ClusterClusterReplicationStatementContext var1);

   T visitDataStreamStatement(EsParser.DataStreamStatementContext var1);

   T visitFeaturesStatement(EsParser.FeaturesStatementContext var1);

   T visitFleetStatement(EsParser.FleetStatementContext var1);

   T visitUriPrefixExpr(EsParser.UriPrefixExprContext var1);

   T visitUriAppendixExpr(EsParser.UriAppendixExprContext var1);

   T visitGraphStatement(EsParser.GraphStatementContext var1);

   T visitGraphStatementBody(EsParser.GraphStatementBodyContext var1);

   T visitGraphStatementConnections(EsParser.GraphStatementConnectionsContext var1);

   T visitGraphStatementVertices(EsParser.GraphStatementVerticesContext var1);

   T visitGraphStatementVertice(EsParser.GraphStatementVerticeContext var1);

   T visitGraphStatementVerticeField(EsParser.GraphStatementVerticeFieldContext var1);

   T visitGraphStatementVerticeInclude(EsParser.GraphStatementVerticeIncludeContext var1);

   T visitGraphStatementVerticeExclude(EsParser.GraphStatementVerticeExcludeContext var1);

   T visitAdjacencyMatrixAgg(EsParser.AdjacencyMatrixAggContext var1);

   T visitAdjacencyMatrixAggPart(EsParser.AdjacencyMatrixAggPartContext var1);

   T visitAutoDateHistogramAgg(EsParser.AutoDateHistogramAggContext var1);

   T visitCategorizeTextAgg(EsParser.CategorizeTextAggContext var1);

   T visitChildrenAgg(EsParser.ChildrenAggContext var1);

   T visitCompositeAgg(EsParser.CompositeAggContext var1);

   T visitCompositeAggItem(EsParser.CompositeAggItemContext var1);

   T visitDateHistogramAgg(EsParser.DateHistogramAggContext var1);

   T visitDateRangeAgg(EsParser.DateRangeAggContext var1);

   T visitDiversifiedSamplerAgg(EsParser.DiversifiedSamplerAggContext var1);

   T visitFilterAgg(EsParser.FilterAggContext var1);

   T visitFiltersAgg(EsParser.FiltersAggContext var1);

   T visitFiltersAggBody(EsParser.FiltersAggBodyContext var1);

   T visitFiltersAggBodyN(EsParser.FiltersAggBodyNContext var1);

   T visitFiltersAggBodyNItem(EsParser.FiltersAggBodyNItemContext var1);

   T visitGeoDistanceAgg(EsParser.GeoDistanceAggContext var1);

   T visitGeoHashGridAgg(EsParser.GeoHashGridAggContext var1);

   T visitGeoTileGridAgg(EsParser.GeoTileGridAggContext var1);

   T visitHistogramAgg(EsParser.HistogramAggContext var1);

   T visitIpRangeAgg(EsParser.IpRangeAggContext var1);

   T visitMissingAgg(EsParser.MissingAggContext var1);

   T visitMultiTermsAgg(EsParser.MultiTermsAggContext var1);

   T visitNestedAgg(EsParser.NestedAggContext var1);

   T visitParentAgg(EsParser.ParentAggContext var1);

   T visitRangeAgg(EsParser.RangeAggContext var1);

   T visitRangeAggItem(EsParser.RangeAggItemContext var1);

   T visitRareTermsAgg(EsParser.RareTermsAggContext var1);

   T visitReverseNestedAgg(EsParser.ReverseNestedAggContext var1);

   T visitSamplerAgg(EsParser.SamplerAggContext var1);

   T visitSignificantCrimeTypesAgg(EsParser.SignificantCrimeTypesAggContext var1);

   T visitSignificantTextAgg(EsParser.SignificantTextAggContext var1);

   T visitSignificantTermsAgg(EsParser.SignificantTermsAggContext var1);

   T visitAggBackgroundFilter(EsParser.AggBackgroundFilterContext var1);

   T visitTermsAgg(EsParser.TermsAggContext var1);

   T visitVariableWidthHistogramAgg(EsParser.VariableWidthHistogramAggContext var1);

   T visitMetricsAggs(EsParser.MetricsAggsContext var1);

   T visitAvgAggs(EsParser.AvgAggsContext var1);

   T visitBoxplotAggs(EsParser.BoxplotAggsContext var1);

   T visitCardinalityAggs(EsParser.CardinalityAggsContext var1);

   T visitExtendedStatsAggs(EsParser.ExtendedStatsAggsContext var1);

   T visitGeoBoundsAggs(EsParser.GeoBoundsAggsContext var1);

   T visitGeoCentroidAggs(EsParser.GeoCentroidAggsContext var1);

   T visitGeoLineAggs(EsParser.GeoLineAggsContext var1);

   T visitMatrixStatsAggs(EsParser.MatrixStatsAggsContext var1);

   T visitMatrixStatsAggsPart(EsParser.MatrixStatsAggsPartContext var1);

   T visitMaxAggs(EsParser.MaxAggsContext var1);

   T visitMedianAbsoluteDeviationAggs(EsParser.MedianAbsoluteDeviationAggsContext var1);

   T visitMinAggs(EsParser.MinAggsContext var1);

   T visitPercentileRanksAggs(EsParser.PercentileRanksAggsContext var1);

   T visitPercentilesAggs(EsParser.PercentilesAggsContext var1);

   T visitRateAggs(EsParser.RateAggsContext var1);

   T visitRateAggsItem(EsParser.RateAggsItemContext var1);

   T visitScriptedMetricAggs(EsParser.ScriptedMetricAggsContext var1);

   T visitStatsAggs(EsParser.StatsAggsContext var1);

   T visitStringStatsAggs(EsParser.StringStatsAggsContext var1);

   T visitSumAggs(EsParser.SumAggsContext var1);

   T visitTTestAggs(EsParser.TTestAggsContext var1);

   T visitTTestAggsItem(EsParser.TTestAggsItemContext var1);

   T visitTopHitsAggs(EsParser.TopHitsAggsContext var1);

   T visitTopMetricsAggs(EsParser.TopMetricsAggsContext var1);

   T visitTopMetricsAggsItem(EsParser.TopMetricsAggsItemContext var1);

   T visitTopMetricsAggSort(EsParser.TopMetricsAggSortContext var1);

   T visitTopMetricsAggsMetrics(EsParser.TopMetricsAggsMetricsContext var1);

   T visitTopMetricsAggsMetricsItems(EsParser.TopMetricsAggsMetricsItemsContext var1);

   T visitTopMetricsAggsMetricsItem(EsParser.TopMetricsAggsMetricsItemContext var1);

   T visitTypesCountAggs(EsParser.TypesCountAggsContext var1);

   T visitWeightedAvgAggs(EsParser.WeightedAvgAggsContext var1);

   T visitWeightedAvgAggsItem(EsParser.WeightedAvgAggsItemContext var1);

   T visitWeightedAvgAggsItemValue(EsParser.WeightedAvgAggsItemValueContext var1);

   T visitWeightedAvgAggsItemWeight(EsParser.WeightedAvgAggsItemWeightContext var1);

   T visitValueCountAggs(EsParser.ValueCountAggsContext var1);

   T visitPipeLineAggs(EsParser.PipeLineAggsContext var1);

   T visitAverageBucketAggs(EsParser.AverageBucketAggsContext var1);

   T visitBucketScriptAggs(EsParser.BucketScriptAggsContext var1);

   T visitBucketCountKsTestAggs(EsParser.BucketCountKsTestAggsContext var1);

   T visitBucketCorreationAggs(EsParser.BucketCorreationAggsContext var1);

   T visitBucketSelectorAggs(EsParser.BucketSelectorAggsContext var1);

   T visitBucketSortAggs(EsParser.BucketSortAggsContext var1);

   T visitCumulativeCardinalityAggs(EsParser.CumulativeCardinalityAggsContext var1);

   T visitCumulativeSumAggs(EsParser.CumulativeSumAggsContext var1);

   T visitDerivativeAggs(EsParser.DerivativeAggsContext var1);

   T visitExtendedStatsBucketAggs(EsParser.ExtendedStatsBucketAggsContext var1);

   T visitMaxBucketAggs(EsParser.MaxBucketAggsContext var1);

   T visitMinBucketAggs(EsParser.MinBucketAggsContext var1);

   T visitMovingAvgAggs(EsParser.MovingAvgAggsContext var1);

   T visitMovingFnAggs(EsParser.MovingFnAggsContext var1);

   T visitMovingPercentilesAggs(EsParser.MovingPercentilesAggsContext var1);

   T visitNormalizeAggs(EsParser.NormalizeAggsContext var1);

   T visitPercentilesBucketAggs(EsParser.PercentilesBucketAggsContext var1);

   T visitSerialDiffAggs(EsParser.SerialDiffAggsContext var1);

   T visitStatsBucketAggs(EsParser.StatsBucketAggsContext var1);

   T visitSumBucketAggs(EsParser.SumBucketAggsContext var1);

   T visitInferenceAggs(EsParser.InferenceAggsContext var1);

   T visitAggCommonPart(EsParser.AggCommonPartContext var1);

   T visitFieldFilter(EsParser.FieldFilterContext var1);

   T visitFieldSimpleFilter(EsParser.FieldSimpleFilterContext var1);

   T visitFieldExactFilter(EsParser.FieldExactFilterContext var1);

   T visitFieldQueryFilter(EsParser.FieldQueryFilterContext var1);

   T visitFieldValueFilter(EsParser.FieldValueFilterContext var1);

   T visitFilterQueryFieldValue(EsParser.FilterQueryFieldValueContext var1);

   T visitFieldsNamesExpr(EsParser.FieldsNamesExprContext var1);

   T visitFieldValueExpr(EsParser.FieldValueExprContext var1);

   T visitFieldValueExpr1(EsParser.FieldValueExpr1Context var1);

   T visitQueryExpr(EsParser.QueryExprContext var1);

   T visitValueExpr(EsParser.ValueExprContext var1);

   T visitFieldNameExpr(EsParser.FieldNameExprContext var1);

   T visitOperatorExpr(EsParser.OperatorExprContext var1);

   T visitDefaultExpr(EsParser.DefaultExprContext var1);

   T visitSourceFieldsExpr(EsParser.SourceFieldsExprContext var1);

   T visitSortExpr(EsParser.SortExprContext var1);

   T visitSortItems(EsParser.SortItemsContext var1);

   T visitSortItem(EsParser.SortItemContext var1);

   T visitSortExprOptions(EsParser.SortExprOptionsContext var1);

   T visitScriptExpr(EsParser.ScriptExprContext var1);

   T visitFieldLikeExpr(EsParser.FieldLikeExprContext var1);

   T visitFieldLikeExprN(EsParser.FieldLikeExprNContext var1);

   T visitFieldLikeExpr1(EsParser.FieldLikeExpr1Context var1);

   T visitFieldLikeExprValue(EsParser.FieldLikeExprValueContext var1);

   T visitFieldLikeExprValueObj(EsParser.FieldLikeExprValueObjContext var1);

   T visitFieldLikeExprValueSimple(EsParser.FieldLikeExprValueSimpleContext var1);

   T visitFieldDocuments(EsParser.FieldDocumentsContext var1);

   T visitFieldDocument(EsParser.FieldDocumentContext var1);

   T visitFieldDocumentValue(EsParser.FieldDocumentValueContext var1);

   T visitFieldIndex1(EsParser.FieldIndex1Context var1);

   T visitFieldId1(EsParser.FieldId1Context var1);

   T visitFieldIndex(EsParser.FieldIndexContext var1);

   T visitFieldId(EsParser.FieldIdContext var1);

   T visitPairs(EsParser.PairsContext var1);

   T visitUriSeg(EsParser.UriSegContext var1);

   T visitUriSegIndex(EsParser.UriSegIndexContext var1);

   T visitUriIndexAtom(EsParser.UriIndexAtomContext var1);

   T visitString(EsParser.StringContext var1);

   T visitMappingString(EsParser.MappingStringContext var1);

   T visitObj(EsParser.ObjContext var1);

   T visitPair(EsParser.PairContext var1);

   T visitStringArr(EsParser.StringArrContext var1);

   T visitArr(EsParser.ArrContext var1);

   T visitBool(EsParser.BoolContext var1);

   T visitJvalue(EsParser.JvalueContext var1);

   T visitUriFragments(EsParser.UriFragmentsContext var1);

   T visitUriFragmentSegments(EsParser.UriFragmentSegmentsContext var1);

   T visitUriFragmentSegment(EsParser.UriFragmentSegmentContext var1);

   T visitMappingResponse(EsParser.MappingResponseContext var1);

   T visitMappingResponseMapping(EsParser.MappingResponseMappingContext var1);

   T visitSearchResponse(EsParser.SearchResponseContext var1);

   T visitSearchResponseItem(EsParser.SearchResponseItemContext var1);

   T visitSearchResponseItemHits(EsParser.SearchResponseItemHitsContext var1);

   T visitSearchResponseItemAgregations(EsParser.SearchResponseItemAgregationsContext var1);

   T visitSearchResponseHitsHits(EsParser.SearchResponseHitsHitsContext var1);

   T visitSearchResponseHitsHitsMemo(EsParser.SearchResponseHitsHitsMemoContext var1);

   T visitSearchResponseHitsHitsIndex(EsParser.SearchResponseHitsHitsIndexContext var1);

   T visitSearchResponseHitsHitsType(EsParser.SearchResponseHitsHitsTypeContext var1);

   T visitSearchResponseHitsHitsSource(EsParser.SearchResponseHitsHitsSourceContext var1);

   T visitSearchResponseHitsHitsId(EsParser.SearchResponseHitsHitsIdContext var1);

   T visitSearchResponseHitsHitsFields(EsParser.SearchResponseHitsHitsFieldsContext var1);

   T visitGetResponse(EsParser.GetResponseContext var1);
}
